public class AffichageHexadecimal {
  
//////////////////////////////////////////////////////////////

/* Affichage hexadecimal d'un chiffre                       */

  static void affichageCaractereHexadecimal(int chiffre) {
    switch(chiffre) {
      case 10 :
        Ecran.afficher('A');
        break;
      case 11 :
        Ecran.afficher('B');
        break;
      case 12 :
        Ecran.afficher('C');
        break;
      case 13 :
        Ecran.afficher('D');
        break;
      case 14 :
        Ecran.afficher('E');
        break;
      case 15 :
        Ecran.afficher('F');
        break;
      default :
        Ecran.afficher(chiffre);
        break; }
  }
  
/* Affichage hexadecimal d'un entier compris entre 0 et 255 */

  static void affichageHexadecimal(int v) {
    int chiffreHaut;
    int chiffreBas;
    chiffreHaut = v/16;
    chiffreBas = v%16;
    affichageCaractereHexadecimal(chiffreHaut);
    affichageCaractereHexadecimal(chiffreBas);
  }

//////////////////////////////////////////////////////////////

/* Programme principal                                      */

  public static void main(String [] args) {
    int val;
    Ecran.afficher("SVP, la valeur : ");
    val = Clavier.saisirInt();
    Ecran.afficher(val," = ");    
    affichageHexadecimal(val);
    Ecran.afficher(" en hexadecimal");
    Ecran.sautDeLigne();
  }
}